Bug 1260544 - unbound-libs creates unnecessary dependency on python3
unbound-libs creates unnecessary dependency on python3
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: unbound (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On: 1254566
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 04:27 EDT by Tomáš Hozza
Modified: 2016-12-20 09:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1254566
Environment:
Last Closed: 2016-12-20 09:35:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Hozza 2015-09-07 04:27:19 EDT
+++ This bug was initially created as a clone of Bug #1254566 +++

unbound-libs creates dependency on python2 even though there seems to be no need for such a requires.


[fedora@localhost ~]$ rpm -q unbound-libs --requires | grep python
libpython2.7.so.1.0()(64bit)


No file from unbound-libs doesn't seem to use python in any way. Linking to libpython is from libunbound.so.

[fedora@localhost ~]$ ldd /usr/lib64/libunbound.so.2 | grep python
	libpython2.7.so.1.0 => /lib64/libpython2.7.so.1.0 (0x00007fb8a7d18000)


From build.log:
libtool: link: gcc -I. -I/usr/include/python2.7 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fPIE -pie -flto -pthread -Wl,-z -Wl,relro -Wl,-z -Wl,now -pie -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -o .libs/unbound-host .libs/unbound-host.o .libs/keyraw.o .libs/sbuffer.o .libs/wire2str.o .libs/parse.o .libs/parseutil.o .libs/rrdef.o .libs/str2wire.o .libs/strlcat.o .libs/strlcpy.o  -L. -L.libs /builddir/build/BUILD/unbound-1.5.4/unbound-1.5.4_python2/.libs/libunbound.so -lssl -levent -ldl -lpython2.7 -lcrypto -pthread

My proposal is to package libunbound.so from python3 build of unbound.

--- Additional comment from Tomas Hozza on 2015-08-19 13:40:33 CEST ---

I think the libunbound.so should not be linked with python if not really necessary. I'll have to investigate if there is some good reason for that.

--- Additional comment from Tomas Hozza on 2015-09-03 13:55:12 CEST ---

There seems to be $LIBS variable in Makefile which includes '-lpythonX.Y' and is used everywhere. I'm investigating possible change.

In the meantime I reported this to upstream:
https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=704

--- Additional comment from Tomas Hozza on 2015-09-03 20:12:28 CEST ---

Preferring Python3 build over Python2 for now. Leaving the ticket open.

--- Additional comment from Fedora Update System on 2015-09-03 23:18:45 CEST ---

unbound-1.5.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15039

--- Additional comment from Fedora Update System on 2015-09-04 09:33:04 CEST ---

unbound-1.5.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update unbound'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15039

--- Additional comment from Fedora Update System on 2015-09-04 21:45:25 CEST ---

unbound-1.5.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 1 Fedora End Of Life 2016-11-24 07:28:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:35:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.